{{ product.name }}

RaceRoom Audi Sport TT Cup 2015

DRM

$4.99

$4.29

-{{product.discount}}%

WANTED
WANT IT

Community content

RaceRoom Audi Sport TT Cup 2015

$4.99

$4.29

-{{product.discount}}%

$3.99

Take 24 identical thoroughbred race cars and place the hottest young driving talents in them. This is the Audi Sport TT Cup. 

Read full description

Associated Products

See All
See Less

Deals

Game description

This content requires the base game RaceRoom Racing Experience in order to play 

Take 24 identical thoroughbred race cars and place the hottest young driving talents in them. This is the Audi Sport TT Cup. 

The physics model of this car has been developed in cooperation with the Audi Sport TT Cup drivers, and the whole package, drives, brakes and handles just like the real thing. 
This means fantastic close racing is a certainty and you will need to be smart in your use of the push-to-pass feature to gain an advantage and punch a gap to the drivers behind you. 

Above all, the TT cup cars are FUN.

Game info
  • 0

  • Rating
Publisher:
Libredia
Developer:
Sector3 Studios
Genres:
Source:
Libredia
Released:
Wednesday, December 9, 2015
Modes:
Languages:
English
Headset:
{{vrNames}}
Customer notes
Minimum Requirements
  • OS:Microsoft Windows Vista / 7 / 8 / 10 
  • Processor:Dual core at 2.4 GHz or AMD equivalent 
  • Memory:4 GB 
  • Graphics:NVIDIA GeForce GTX 460 or AMD equivalent 
  • DirectX®:9.0c 
  • Hard Drive:15 GB HD space 
  • Sound:DirectX compatible 
Recommended Requirements
  • Processor:Quad-core AMD or Intel at 2.4 GHz 
  • Memory:8 GB 
  • Graphics:NVIDIA GeForce GTX 760 2.0 GB Video Card or AMD equivalent 
Legal

More like this

User score

0
Overall score based on 0 reviews Leave a review

Reviews for RaceRoom Audi Sport TT Cup 2015

Load More
Load More
Thanks for review.

All reviews are moderated and may not appear on the site staight away

Thank you for your patience whilst we complete this process.

Write a review
All fields are mandatory
This field is required
This field is required